# Changelog

All notable changes to the Gleis CLI will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.0.1 - 2020-10-09

### Changed

- App status command to display other statuses than "running" or "not running"

## 1.0.0 - 2020-08-21

### Added

- New command called healthcheck in order to show and change the health check path of an app

### Changed

- References to old gleis.cloud domain by new domain name gleis.io
- Version dependency of thor

## 0.9.0 - 2020-06-26

### Added

- Meaningful reason why app create command failed in case of problem

### Fixed

- Extra space in SSH key generator comment and typo in user message when command is unavailable
- Raw invalid token message when session times out during the app logs command in follow mode

## 0.8.0 - 2020-04-19

### Changed

- Calls to system commands to check first if external system command exists
- External system call to which command with own which method
- Path separator to be dynamic for cross-platform compatibility
- Password prompt to use IO.noecho instead of depending on stty system command
- Save path of database dump file to be stored into user home directory instead of tmp

### Fixed

- Adding SSH Host configuration in non-existing SSH config file

## 0.7.1 - 2020-03-20

### Changed

- API URL to use .app top-level domain

## 0.7.0 - 2020-03-07

### Changed

- Version dependency of mdl, rest-client and rubocop
- Actual year of copyright to be dynamic
- API POST request read timeout from default of 60s to 600s

### Added

- New command called rebuild in order to rebuild an app image from the git repo
- Rescue read timeout from API request

### Fixed

- Error message when restarting a not yet deployed app by deprecating error_text usage

## 0.6.2 - 2019-08-24

### Fixed

- Load external gems such as thor before any other internal gleis libraries

## 0.6.1 - 2019-08-20

### Changed

- Required Ruby version from 2.3 to 2.2 in order to support Travis CI dpl

### Removed

- Occurrences of Numeric#positive? method in order to support Ruby <2.3

## 0.6.0 - 2019-08-20

### Added

- Parameter --follow/-f to app logs command to follow live the log file of an app

### Changed

- Requests to API to include CLI version in HTTP User-Agent header

### Fixed

- Missing application scale command

### Removed

- Occurrences of the safe navigation operator in order to support Ruby <2.3

## 0.5.0 - 2019-02-25

### Added

- New command called scheduler in order to manage scheduled job for an app
- Parameter --process/-p to app logs command to specify the process type (default: web)
- Check for new version of CLI after successfull login

### Changed

- Status of app to inform under the Deployment field in case the app has not yet been deployed
- Forbidden rescue in API request to handle the case where the message is provided by the API

### Fixed

- Wrong command description for removing an add-on
- Alias command parameters to include a leading dash

### Removed

- Support for legacy rest-client (version <2.0) in API request

## 0.4.0 - 2019-02-10

### Added

- Application rollback for deploying a previous deployment referred by its commit hash
- Application maintenance mode for temporary taking app offline
- Description to the --app/-a option for specifying the name of the app
- Reverse storage synchronisation (from Gleis storage to local computer) using -x option

### Changed

- Application status to use generic data key instead of status key
- Addon listing format to be clearer and add more spacing
- Listing of deployments to show with an asterisk which deployment is currently in use
- Status of app to show current deployment commit short hash and version

### Fixed

- Missing credential information for syncing storage

## 0.3.2 - 2018-12-15

### Added

- Option to auth login command to skip generating SSH key-pair if user does not have a local SSH key-pair for Gleis

## 0.3.1 - 2018-12-12

### Added

- Quiet mode to app git command displaying only the git repo URL for automation purpose

## 0.3.0 - 2018-12-10

### Added

- Comment when adding new Host entry in user git config file
- Management of SSH public keys for the authentication with git server using "auth key" sub-commands

### Changed

- Generation of exec parameters for supporting additional future storage types
- Possibility to enter login password as command parameter for automation to bypass interactive password prompt

## 0.2.0 - 2018-12-02

### Added

- Exit nicely upon SIGINT trap
- New command to register for a free account

## 0.1.1 - 2018-11-26

### Added

- Add change log

### Changed

- Re-structure gemspec
- Use more generic method names for app exec params

## 0.1.0 - 2018-11-24

### Added

- Initial release
